FW_UPDATE(1)

NAME
fw_update - install non-free firmware packages

SYNOPSIS
fw_update [-adnv] [-p path] [driver ...]

DESCRIPTION
The fw_update utility installs, updates, or deletes firmware packages for driver from the Internet. If no driver is specified, the fw_update utility tries to determine which firmware are needed on the system.

Since firmware with acceptable licenses are already present in OpenBSD, fw_update exists purely to deal with firmware that may not be freely distributed with OpenBSD.

The options are as follows:

-a  Install or update firmware for all drivers. It is an error to specify this option with any driver arguments.

-d  Delete firmware for driver. If used in conjunction with -a, delete firmware for all drivers.

-n  Dry run. Do not actually install or update any firmware packages; just report the steps that would be taken.

-p path
    Use the firmware found at path, being either a local directory or a URL, instead of the default location.

-v  Turn on verbose output. This flag can be specified multiple times for increased verbosity.

Firmware is downloaded from release-specific directories at http://firmware.openbsd.org/firmware/. The files are in the format required by pkg_add(1), but direct use of pkg_add is discouraged.

SEE ALSO
pkg_add(1), dmesg(8)

AUTHORS
-nosplit The fw_update program was written by Alexander Hall <alexander@beard.se>.